#ifndef __CONFIGWIDGET_H
#define __CONFIGWIDGET_H
#include <qwidget.h>
#include <qtabwidget.h>
class QLineEdit;
class QSpinBox;
class QCloseEvent;
class KeyConfigSet;

class ConfigWidget :public QTabWidget
{
public:
  ConfigWidget( QWidget* parent, const char* name = 0 );
  
protected:
  void closeEvent( QCloseEvent* e );
  
private:
  QLineEdit* _edit;
  QSpinBox* _fontSize;
  KeyConfigSet* _hardwareKeyboard;
  QSpinBox* _delay;
};

#endif // __CONFIGWIDGET_H
